-- ToME - Tales of Maj'Eyal
-- Copyright (C) 2009 - 2016 Nicolas Casalini
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Nicolas Casalini "DarkGod"
-- darkgod@te4.org

load("/data/general/traps/store.lua")

newEntity{ base = "BASE_STORE", define_as = "IMPLANT_STORE",
	name="Einzbern's Tinkers",
	display='2', color=colors.UMBER,
	resolvers.store("IMPLANT_STORE", "allied-kingdoms", "store/shop_door.png", "store/orc_store_tinkers.png"),
}

newEntity{ base = "BASE_STORE", define_as = "STEAMSAW_STORE",
	name="Einzbern's Steamsaws",
	display='2', color=colors.UMBER,
	resolvers.store("STEAMSAW_STORE", "allied-kingdoms", "store/shop_door.png", "store/orc_store_steamsaws.png"),
}

newEntity{ base = "BASE_STORE", define_as = "STEAMGUN_STORE",
	name="Einzbern's Steamguns",
	display='2', color=colors.UMBER,
	resolvers.store("STEAMGUN_STORE", "allied-kingdoms", "store/shop_door.png", "store/orc_store_steamguns.png"),
}

newEntity{ base = "BASE_STORE", define_as = "SCHEMATIC_STORE",
	name="Einzbern's Schematics",
	display='2', color=colors.UMBER,
	resolvers.store("SCHEMATIC_STORE", "allied-kingdoms", "store/shop_door.png", "store/orc_store_tinkers.png"),
}
